Russian Windows NT 4.0 to Windows 2000 Upgrade Problems If IIS 2.0 or 3.0 Is Installed

This article was previously published under Q260928
This article has been archived. It is offered "as is" and will no longer be updated.
When you attempt to upgrade from Russian Microsoft Windows NT 4.0 Workstation to Russian Windows 2000 Professional, the upgrade process may stop after the first reboot. This behavior occurs only if Microsoft Internet Information Server (IIS) version 2.0 or 3.0 is installed on the computer before you start the upgrade process.
To resolve this problem, obtain the latest service pack for Windows 2000. For additional information, click the following article number to view the article in theMicrosoft Knowledge Base:
260910 How to Obtain the Latest Windows 2000 Service Pack

There are two workarounds for this problem:
  • Upgrade to IIS version 4.0 before you upgrade Windows NT 4.0 Workstation to Windows 2000 Professional.
  • Uninstall IIS from Windows NT 4.0 Workstation before you upgrade to Windows 2000 Professional.
Microsoft has confirmed that this is a problem in the Microsoft products that are listed at the beginning of this article.

This problem was first corrected in Windows 2000 Service Pack 1.
For additional information about how to install Windows 2000 and Windows 2000 hotfixes at the same time, click the article number below to view the article in the Microsoft Knowledge Base:
249149 Installing Microsoft Windows 2000 and Windows 2000 Hotfixes

Article ID: 260928 - Last Review: 10/20/2013 19:39:06 - Revision: 3.2

  • Microsoft Windows 2000 Server
  • Microsoft Windows 2000 Advanced Server
  • Microsoft Windows 2000 Professional Edition
  • kbnosurvey kbarchive kbbug kbfix kbqfe kbwin2000sp1fix KB260928